Page Summary
-
This method lists negative keyword lists for a given advertiser ID.
-
The request uses an HTTP GET method with a specific URL structure including the advertiser ID as a path parameter.
-
Optional query parameters like
pageSizeandpageTokencan be used for pagination. -
The request body is empty, and the response body contains a list of negative keyword lists and a token for the next page if available.
-
The method requires authorization with the
https://www.googleapis.com/auth/display-videoOAuth scope.
Lists negative keyword lists based on a given advertiser id.
HTTP request
GET https://displayvideo.googleapis.com/v1beta2/advertisers/{advertiserId}/negativeKeywordLists
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
advertiserId |
Required. The ID of the DV360 advertiser to which the fetched negative keyword lists belong. |
Query parameters
| Parameters | |
|---|---|
pageSize |
Requested page size. Must be between |
pageToken |
A token identifying a page of results the server should return. Typically, this is the value of |
Request body
The request body must be empty.
Response body
If successful, the response body contains data with the following structure:
Response message for NegativeKeywordListService.ListNegativeKeywordLists.
| JSON representation |
|---|
{
"negativeKeywordLists": [
{
object ( |
| Fields | |
|---|---|
negativeKeywordLists[] |
The list of negative keyword lists. This list will be absent if empty. |
nextPageToken |
A token to retrieve the next page of results. Pass this value in the |
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.